# encoding: utf-8

# ------------------------------------------------------------------------------
# Copyright (c) 2016 SUSE Linux GmbH, Nuernberg, Germany.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact SUSE Linux GmbH.
#
# ------------------------------------------------------------------------------
#
# Summary: Run YaST2 module's GUI
# Authors: Ilya Manyugin <ilya.manyugin@suse.com>

require "yast"
require "suse_connect_program/main_window"

def to_boolean(string)
    !!(string =~ /^(yes|true)$/i)
end

filename = Yast::WFM.Args 0
absolute_path = to_boolean(Yast::WFM.Args(1))

SuseConnectProgram::MainWindow.new(filename, absolute_path).run
